> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# godaddy

> GoDaddy Domains

**Server path:** `/godaddy` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                    | Description                                                                                                 |
| ----------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------- |
| [`godaddy_available`](#godaddy_available)                               | Determine whether or not the specified domain is available for purchase                                     |
| [`godaddy_available_bulk`](#godaddy_available_bulk)                     | Determine whether or not the specified domains are available for purchase                                   |
| [`godaddy_cancel`](#godaddy_cancel)                                     | Cancel a purchased domain                                                                                   |
| [`godaddy_cancel_privacy`](#godaddy_cancel_privacy)                     | Submit a privacy cancellation request for the given domain                                                  |
| [`godaddy_contacts_validate`](#godaddy_contacts_validate)               | Validate the request body using the Domain Contact Validation Schema for specified domains.                 |
| [`godaddy_get`](#godaddy_get)                                           | Retrieve details for the specified Domain                                                                   |
| [`godaddy_get_agreement`](#godaddy_get_agreement)                       | Retrieve the legal agreement(s) required to purchase the specified TLD and add-ons                          |
| [`godaddy_list`](#godaddy_list)                                         | Retrieve a list of Domains for the specified Shopper                                                        |
| [`godaddy_purchase`](#godaddy_purchase)                                 | Purchase and register the specified Domain                                                                  |
| [`godaddy_purchase_privacy`](#godaddy_purchase_privacy)                 | Purchase privacy for a specified domain                                                                     |
| [`godaddy_record_add`](#godaddy_record_add)                             | Add the specified DNS Records to the specified Domain                                                       |
| [`godaddy_record_delete_type_name`](#godaddy_record_delete_type_name)   | Delete all DNS Records for the specified Domain with the specified Type and Name                            |
| [`godaddy_record_get`](#godaddy_record_get)                             | Retrieve DNS Records for the specified Domain, optionally with the specified Type and/or Name               |
| [`godaddy_record_replace`](#godaddy_record_replace)                     | Replace all DNS Records for the specified Domain                                                            |
| [`godaddy_record_replace_type`](#godaddy_record_replace_type)           | Replace all DNS Records for the specified Domain with the specified Type                                    |
| [`godaddy_record_replace_type_name`](#godaddy_record_replace_type_name) | Replace all DNS Records for the specified Domain with the specified Type and Name                           |
| [`godaddy_renew`](#godaddy_renew)                                       | Renew the specified Domain                                                                                  |
| [`godaddy_schema`](#godaddy_schema)                                     | Retrieve the schema to be submitted when registering a Domain for the specified TLD                         |
| [`godaddy_suggest`](#godaddy_suggest)                                   | Suggest alternate Domain names based on a seed Domain, a set of keywords, or the shopper's purchase history |
| [`godaddy_tlds`](#godaddy_tlds)                                         | Retrieves a list of TLDs supported and enabled for sale                                                     |
| [`godaddy_transfer_in`](#godaddy_transfer_in)                           | Purchase and start or restart transfer process                                                              |
| [`godaddy_update`](#godaddy_update)                                     | Update details for the specified Domain                                                                     |
| [`godaddy_update_contacts`](#godaddy_update_contacts)                   | Update domain                                                                                               |
| [`godaddy_validate`](#godaddy_validate)                                 | Validate the request body using the Domain Purchase Schema for the specified TLD                            |
| [`godaddy_verify_email`](#godaddy_verify_email)                         | Re-send Contact E-mail Verification for specified Domain                                                    |

***

## godaddy\_available

Determine whether or not the specified domain is available for purchase

**Parameters:**

| Parameter     | Type    | Required | Default | Description                                                                                    |
| ------------- | ------- | -------- | ------- | ---------------------------------------------------------------------------------------------- |
| `domain`      | string  | Yes      | —       | Domain name whose availability is to be checked                                                |
| `checkType`   | string  | No       | —       | Optimize for time ('FAST') or accuracy ('FULL')                                                |
| `forTransfer` | boolean | No       | —       | Whether or not to include domains available for transfer. If set to True, checkType is ignored |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "domain": {
        "type": "string",
        "description": "Domain name whose availability is to be checked"
      },
      "checkType": {
        "type": "string",
        "description": "Optimize for time ('FAST') or accuracy ('FULL')",
        "enum": [
          "FAST",
          "FULL",
          "fast",
          "full"
        ]
      },
      "forTransfer": {
        "type": "boolean",
        "description": "Whether or not to include domains available for transfer. If set to True, checkType is ignored"
      }
    },
    "required": [
      "PCID",
      "domain"
    ]
  }
  ```
</Expandable>

***

## godaddy\_available\_bulk

Determine whether or not the specified domains are available for purchase

**Parameters:**

| Parameter   | Type      | Required | Default | Description                                     |
| ----------- | --------- | -------- | ------- | ----------------------------------------------- |
| `checkType` | string    | No       | —       | Optimize for time ('FAST') or accuracy ('FULL') |
| `body`      | string\[] | Yes      | —       | Domain names for which to check availability    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "checkType": {
        "type": "string",
        "description": "Optimize for time ('FAST') or accuracy ('FULL')",
        "enum": [
          "FAST",
          "FULL",
          "fast",
          "full"
        ]
      },
      "body": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Domain names for which to check availability"
      }
    },
    "required": [
      "PCID",
      "body"
    ]
  }
  ```
</Expandable>

***

## godaddy\_cancel

Cancel a purchased domain

**Parameters:**

| Parameter | Type   | Required | Default | Description      |
| --------- | ------ | -------- | ------- | ---------------- |
| `domain`  | string | Yes      | —       | Domain to cancel |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "domain": {
        "type": "string",
        "description": "Domain to cancel"
      }
    },
    "required": [
      "PCID",
      "domain"
    ]
  }
  ```
</Expandable>

***

## godaddy\_cancel\_privacy

Submit a privacy cancellation request for the given domain

**Parameters:**

| Parameter      | Type   | Required | Default | Description                             |
| -------------- | ------ | -------- | ------- | --------------------------------------- |
| `X-Shopper-Id` | string | No       | —       | Shopper ID of the owner of the domain   |
| `domain`       | string | Yes      | —       | Domain whose privacy is to be cancelled |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "X-Shopper-Id": {
        "type": "string",
        "description": "Shopper ID of the owner of the domain"
      },
      "domain": {
        "type": "string",
        "description": "Domain whose privacy is to be cancelled"
      }
    },
    "required": [
      "PCID",
      "domain"
    ]
  }
  ```
</Expandable>

***

## godaddy\_contacts\_validate

Validate the request body using the Domain Contact Validation Schema for specified domains.

**Parameters:**

| Parameter            | Type    | Required | Default | Description                                                                              |
| -------------------- | ------- | -------- | ------- | ---------------------------------------------------------------------------------------- |
| `X-Private-Label-Id` | integer | No       | —       | PrivateLabelId to operate as, if different from JWT                                      |
| `marketId`           | string  | No       | —       | MarketId in which the request is being made, and for which responses should be localized |
| `body`               | object  | Yes      | —       | An instance document expected for domains contacts validation                            |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "X-Private-Label-Id": {
        "type": "integer",
        "description": "PrivateLabelId to operate as, if different from JWT"
      },
      "marketId": {
        "type": "string",
        "description": "MarketId in which the request is being made, and for which responses should be localized"
      },
      "body": {
        "description": "An instance document expected for domains contacts validation"
      }
    },
    "required": [
      "PCID",
      "body"
    ]
  }
  ```
</Expandable>

***

## godaddy\_get

Retrieve details for the specified Domain

**Parameters:**

| Parameter      | Type   | Required | Default | Description                                     |
| -------------- | ------ | -------- | ------- | ----------------------------------------------- |
| `X-Shopper-Id` | string | No       | —       | Shopper ID expected to own the specified domain |
| `domain`       | string | Yes      | —       | Domain name whose details are to be retrieved   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "X-Shopper-Id": {
        "type": "string",
        "description": "Shopper ID expected to own the specified domain"
      },
      "domain": {
        "type": "string",
        "description": "Domain name whose details are to be retrieved"
      }
    },
    "required": [
      "PCID",
      "domain"
    ]
  }
  ```
</Expandable>

***

## godaddy\_get\_agreement

Retrieve the legal agreement(s) required to purchase the specified TLD and add-ons

**Parameters:**

| Parameter     | Type      | Required | Default | Description                                                                 |
| ------------- | --------- | -------- | ------- | --------------------------------------------------------------------------- |
| `X-Market-Id` | string    | No       | —       | Unique identifier of the Market used to retrieve/translate Legal Agreements |
| `tlds`        | string\[] | Yes      | —       | list of TLDs whose legal agreements are to be retrieved                     |
| `privacy`     | boolean   | Yes      | —       | Whether or not privacy has been requested                                   |
| `forTransfer` | boolean   | No       | —       | Whether or not domain tranfer has been requested                            |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "X-Market-Id": {
        "type": "string",
        "description": "Unique identifier of the Market used to retrieve/translate Legal Agreements"
      },
      "tlds": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "list of TLDs whose legal agreements are to be retrieved"
      },
      "privacy": {
        "type": "boolean",
        "description": "Whether or not privacy has been requested"
      },
      "forTransfer": {
        "type": "boolean",
        "description": "Whether or not domain tranfer has been requested"
      }
    },
    "required": [
      "PCID",
      "tlds",
      "privacy"
    ]
  }
  ```
</Expandable>

***

## godaddy\_list

Retrieve a list of Domains for the specified Shopper

**Parameters:**

| Parameter      | Type      | Required | Default | Description                                                             |
| -------------- | --------- | -------- | ------- | ----------------------------------------------------------------------- |
| `X-Shopper-Id` | string    | No       | —       | Shopper ID whose domains are to be retrieved                            |
| `statuses`     | string\[] | No       | —       | Only include results with `status` value in the specified set           |
| `statusGroups` | string\[] | No       | —       | Only include results with `status` value in any of the specified groups |
| `limit`        | integer   | No       | —       | Maximum number of domains to return                                     |
| `marker`       | string    | No       | —       | Marker Domain to use as the offset in results                           |
| `includes`     | string\[] | No       | —       | Optional details to be included in the response                         |
| `modifiedDate` | string    | No       | —       | Only include results that have been modified since the specified date   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "X-Shopper-Id": {
        "type": "string",
        "description": "Shopper ID whose domains are to be retrieved"
      },
      "statuses": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "ACTIVE",
            "AWAITING_CLAIM_ACK",
            "AWAITING_DOCUMENT_AFTER_TRANSFER",
            "AWAITING_DOCUMENT_AFTER_UPDATE_ACCOUNT",
            "AWAITING_DOCUMENT_UPLOAD",
            "AWAITING_FAILED_TRANSFER_WHOIS_PRIVACY",
            "AWAITING_PAYMENT",
            "AWAITING_RENEWAL_TRANSFER_IN_COMPLETE",
            "AWAITING_TRANSFER_IN_ACK",
            "AWAITING_TRANSFER_IN_AUTH",
            "AWAITING_TRANSFER_IN_AUTO",
            "AWAITING_TRANSFER_IN_WHOIS",
            "AWAITING_TRANSFER_IN_WHOIS_FIX",
            "AWAITING_VERIFICATION_ICANN",
            "AWAITING_VERIFICATION_ICANN_MANUAL",
            "CANCELLED",
            "CANCELLED_HELD",
            "CANCELLED_REDEEMABLE",
            "CANCELLED_TRANSFER",
            "CONFISCATED",
            "DISABLED_SPECIAL",
            "EXCLUDED_INVALID_CLAIM_FIREHOSE",
            "EXPIRED_REASSIGNED",
            "FAILED_BACKORDER_CAPTURE",
            "FAILED_DROP_IMMEDIATE_THEN_ADD",
            "FAILED_PRE_REGISTRATION",
            "FAILED_REDEMPTION",
            "FAILED_REDEMPTION_REPORT",
            "FAILED_REGISTRATION",
            "FAILED_REGISTRATION_FIREHOSE",
            "FAILED_RESTORATION_REDEMPTION_MOCK",
            "FAILED_SETUP",
            "FAILED_TRANSFER_IN",
            "FAILED_TRANSFER_IN_BAD_STATUS",
            "FAILED_TRANSFER_IN_REGISTRY",
            "HELD_COURT_ORDERED",
            "HELD_DISPUTED",
            "HELD_EXPIRATION_PROTECTION",
            "HELD_EXPIRED_REDEMPTION_MOCK",
            "HELD_REGISTRAR_ADD",
            "HELD_REGISTRAR_REMOVE",
            "HELD_SHOPPER",
            "HELD_TEMPORARY",
            "LOCKED_ABUSE",
            "LOCKED_COPYRIGHT",
            "LOCKED_REGISTRY",
            "LOCKED_SUPER",
            "PARKED_AND_HELD",
            "PARKED_EXPIRED",
            "PARKED_VERIFICATION_ICANN",
            "PENDING_ABORT_CANCEL_SETUP",
            "PENDING_AGREEMENT_PRE_REGISTRATION",
            "PENDING_APPLY_RENEWAL_CREDITS",
            "PENDING_BACKORDER_CAPTURE",
            "PENDING_BLOCKED_REGISTRY",
            "PENDING_CANCEL_REGISTRANT_PROFILE",
            "PENDING_COMPLETE_REDEMPTION_WITHOUT_RECEIPT",
            "PENDING_COMPLETE_REGISTRANT_PROFILE",
            "PENDING_COO",
            "PENDING_COO_COMPLETE",
            "PENDING_DNS",
            "PENDING_DNS_ACTIVE",
            "PENDING_DNS_INACTIVE",
            "PENDING_DOCUMENT_VALIDATION",
            "PENDING_DOCUMENT_VERIFICATION",
            "PENDING_DROP_IMMEDIATE",
            "PENDING_DROP_IMMEDIATE_THEN_ADD",
            "PENDING_EPP_CREATE",
            "PENDING_EPP_DELETE",
            "PENDING_EPP_UPDATE",
            "PENDING_ESCALATION_REGISTRY",
            "PENDING_EXPIRATION",
            "PENDING_EXPIRATION_RESPONSE",
            "PENDING_EXPIRATION_SYNC",
            "PENDING_EXPIRED_REASSIGNMENT",
            "PENDING_EXPIRE_AUTO_ADD",
            "PENDING_EXTEND_REGISTRANT_PROFILE",
            "PENDING_FAILED_COO",
            "PENDING_FAILED_EPP_CREATE",
            "PENDING_FAILED_HELD",
            "PENDING_FAILED_PURCHASE_PREMIUM",
            "PENDING_FAILED_RECONCILE_FIREHOSE",
            "PENDING_FAILED_REDEMPTION_WITHOUT_RECEIPT",
            "PENDING_FAILED_RELEASE_PREMIUM",
            "PENDING_FAILED_RENEW_EXPIRATION_PROTECTION",
            "PENDING_FAILED_RESERVE_PREMIUM",
            "PENDING_FAILED_SUBMIT_FIREHOSE",
            "PENDING_FAILED_TRANSFER_ACK_PREMIUM",
            "PENDING_FAILED_TRANSFER_IN_ACK_PREMIUM",
            "PENDING_FAILED_TRANSFER_IN_PREMIUM",
            "PENDING_FAILED_TRANSFER_PREMIUM",
            "PENDING_FAILED_TRANSFER_SUBMIT_PREMIUM",
            "PENDING_FAILED_UNLOCK_PREMIUM",
            "PENDING_FAILED_UPDATE_API",
            "PENDING_FRAUD_VERIFICATION",
            "PENDING_FRAUD_VERIFIED",
            "PENDING_GET_CONTACTS",
            "PENDING_GET_HOSTS",
            "PENDING_GET_NAME_SERVERS",
            "PENDING_GET_STATUS",
            "PENDING_HOLD_ESCROW",
            "PENDING_HOLD_REDEMPTION",
            "PENDING_LOCK_CLIENT_REMOVE",
            "PENDING_LOCK_DATA_QUALITY",
            "PENDING_LOCK_THEN_HOLD_REDEMPTION",
            "PENDING_PARKING_DETERMINATION",
            "PENDING_PARK_INVALID_WHOIS",
            "PENDING_PARK_INVALID_WHOIS_REMOVAL",
            "PENDING_PURCHASE_PREMIUM",
            "PENDING_RECONCILE",
            "PENDING_RECONCILE_FIREHOSE",
            "PENDING_REDEMPTION",
            "PENDING_REDEMPTION_REPORT",
            "PENDING_REDEMPTION_REPORT_COMPLETE",
            "PENDING_REDEMPTION_REPORT_SUBMITTED",
            "PENDING_REDEMPTION_WITHOUT_RECEIPT",
            "PENDING_REDEMPTION_WITHOUT_RECEIPT_MOCK",
            "PENDING_RELEASE_PREMIUM",
            "PENDING_REMOVAL",
            "PENDING_REMOVAL_HELD",
            "PENDING_REMOVAL_PARKED",
            "PENDING_REMOVAL_UNPARK",
            "PENDING_RENEWAL",
            "PENDING_RENEW_EXPIRATION_PROTECTION",
            "PENDING_RENEW_INFINITE",
            "PENDING_RENEW_LOCKED",
            "PENDING_RENEW_WITHOUT_RECEIPT",
            "PENDING_REPORT_REDEMPTION_WITHOUT_RECEIPT",
            "PENDING_RESERVE_PREMIUM",
            "PENDING_RESET_VERIFICATION_ICANN",
            "PENDING_RESPONSE_FIREHOSE",
            "PENDING_RESTORATION",
            "PENDING_RESTORATION_INACTIVE",
            "PENDING_RESTORATION_REDEMPTION_MOCK",
            "PENDING_RETRY_EPP_CREATE",
            "PENDING_RETRY_HELD",
            "PENDING_SEND_AUTH_CODE",
            "PENDING_SETUP",
            "PENDING_SETUP_ABANDON",
            "PENDING_SETUP_AGREEMENT_LANDRUSH",
            "PENDING_SETUP_AGREEMENT_SUNRISE2_A",
            "PENDING_SETUP_AGREEMENT_SUNRISE2_B",
            "PENDING_SETUP_AGREEMENT_SUNRISE2_C",
            "PENDING_SETUP_AUTH",
            "PENDING_SETUP_DNS",
            "PENDING_SETUP_FAILED",
            "PENDING_SETUP_REVIEW",
            "PENDING_SETUP_SUNRISE",
            "PENDING_SETUP_SUNRISE_PRE",
            "PENDING_SETUP_SUNRISE_RESPONSE",
            "PENDING_SUBMIT_FAILURE",
            "PENDING_SUBMIT_FIREHOSE",
            "PENDING_SUBMIT_HOLD_FIREHOSE",
            "PENDING_SUBMIT_HOLD_LANDRUSH",
            "PENDING_SUBMIT_HOLD_SUNRISE",
            "PENDING_SUBMIT_LANDRUSH",
            "PENDING_SUBMIT_RESPONSE_FIREHOSE",
            "PENDING_SUBMIT_RESPONSE_LANDRUSH",
            "PENDING_SUBMIT_RESPONSE_SUNRISE",
            "PENDING_SUBMIT_SUCCESS_FIREHOSE",
            "PENDING_SUBMIT_SUCCESS_LANDRUSH",
            "PENDING_SUBMIT_SUCCESS_SUNRISE",
            "PENDING_SUBMIT_SUNRISE",
            "PENDING_SUBMIT_WAITING_LANDRUSH",
            "PENDING_SUCCESS_PRE_REGISTRATION",
            "PENDING_SUSPENDED_DATA_QUALITY",
            "PENDING_TRANSFER_ACK_PREMIUM",
            "PENDING_TRANSFER_IN",
            "PENDING_TRANSFER_IN_ACK",
            "PENDING_TRANSFER_IN_ACK_PREMIUM",
            "PENDING_TRANSFER_IN_BAD_REGISTRANT",
            "PENDING_TRANSFER_IN_CANCEL",
            "PENDING_TRANSFER_IN_CANCEL_REGISTRY",
            "PENDING_TRANSFER_IN_COMPLETE_ACK",
            "PENDING_TRANSFER_IN_DELETE",
            "PENDING_TRANSFER_IN_LOCK",
            "PENDING_TRANSFER_IN_NACK",
            "PENDING_TRANSFER_IN_NOTIFICATION",
            "PENDING_TRANSFER_IN_PREMIUM",
            "PENDING_TRANSFER_IN_RELEASE",
            "PENDING_TRANSFER_IN_RESPONSE",
            "PENDING_TRANSFER_IN_UNDERAGE",
            "PENDING_TRANSFER_OUT",
            "PENDING_TRANSFER_OUT_ACK",
            "PENDING_TRANSFER_OUT_NACK",
            "PENDING_TRANSFER_OUT_PREMIUM",
            "PENDING_TRANSFER_OUT_UNDERAGE",
            "PENDING_TRANSFER_OUT_VALIDATION",
            "PENDING_TRANSFER_PREMIUM",
            "PENDING_TRANSFER_PREMUIM",
            "PENDING_TRANSFER_SUBMIT_PREMIUM",
            "PENDING_UNLOCK_DATA_QUALITY",
            "PENDING_UNLOCK_PREMIUM",
            "PENDING_UPDATE",
            "PENDING_UPDATED_REGISTRANT_DATA_QUALITY",
            "PENDING_UPDATE_ACCOUNT",
            "PENDING_UPDATE_API",
            "PENDING_UPDATE_API_RESPONSE",
            "PENDING_UPDATE_AUTH",
            "PENDING_UPDATE_CONTACTS",
            "PENDING_UPDATE_CONTACTS_PRIVACY",
            "PENDING_UPDATE_DNS",
            "PENDING_UPDATE_DNS_SECURITY",
            "PENDING_UPDATE_ELIGIBILITY",
            "PENDING_UPDATE_EPP_CONTACTS",
            "PENDING_UPDATE_MEMBERSHIP",
            "PENDING_UPDATE_OWNERSHIP",
            "PENDING_UPDATE_OWNERSHIP_AUTH_AUCTION",
            "PENDING_UPDATE_OWNERSHIP_HELD",
            "PENDING_UPDATE_REGISTRANT",
            "PENDING_UPDATE_REPO",
            "PENDING_VALIDATION_DATA_QUALITY",
            "PENDING_VERIFICATION_FRAUD",
            "PENDING_VERIFICATION_STATUS",
            "PENDING_VERIFY_REGISTRANT_DATA_QUALITY",
            "RESERVED",
            "RESERVED_PREMIUM",
            "REVERTED",
            "SUSPENDED_VERIFICATION_ICANN",
            "TRANSFERRED_OUT",
            "UNLOCKED_ABUSE",
            "UNLOCKED_SUPER",
            "UNPARKED_AND_UNHELD",
            "UPDATED_OWNERSHIP",
            "UPDATED_OWNERSHIP_HELD"
          ]
        },
        "description": "Only include results with `status` value in the specified set"
      },
      "statusGroups": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "INACTIVE",
            "PRE_REGISTRATION",
            "REDEMPTION",
            "RENEWABLE",
            "VERIFICATION_ICANN",
            "VISIBLE"
          ]
        },
        "description": "Only include results with `status` value in any of the specified groups"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of domains to return"
      },
      "marker": {
        "type": "string",
        "description": "Marker Domain to use as the offset in results"
      },
      "includes": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "authCode",
            "contacts",
            "nameServers"
          ]
        },
        "description": "Optional details to be included in the response"
      },
      "modifiedDate": {
        "type": "string",
        "description": "Only include results that have been modified since the specified date"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## godaddy\_purchase

Purchase and register the specified Domain

**Parameters:**

| Parameter      | Type   | Required | Default | Description                                                                                   |
| -------------- | ------ | -------- | ------- | --------------------------------------------------------------------------------------------- |
| `X-Shopper-Id` | string | No       | —       | The Shopper for whom the domain should be purchased                                           |
| `body`         | object | Yes      | —       | An instance document expected to match the JSON schema returned by `./schema/&#123;tld&#125;` |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "X-Shopper-Id": {
        "type": "string",
        "description": "The Shopper for whom the domain should be purchased"
      },
      "body": {
        "description": "An instance document expected to match the JSON schema returned by `./schema/{tld}`"
      }
    },
    "required": [
      "PCID",
      "body"
    ]
  }
  ```
</Expandable>

***

## godaddy\_purchase\_privacy

Purchase privacy for a specified domain

**Parameters:**

| Parameter      | Type   | Required | Default | Description                           |
| -------------- | ------ | -------- | ------- | ------------------------------------- |
| `X-Shopper-Id` | string | No       | —       | Shopper ID of the owner of the domain |
| `domain`       | string | Yes      | —       | Domain for which to purchase privacy  |
| `body`         | object | Yes      | —       | Options for purchasing privacy        |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "X-Shopper-Id": {
        "type": "string",
        "description": "Shopper ID of the owner of the domain"
      },
      "domain": {
        "type": "string",
        "description": "Domain for which to purchase privacy"
      },
      "body": {
        "description": "Options for purchasing privacy"
      }
    },
    "required": [
      "PCID",
      "domain",
      "body"
    ]
  }
  ```
</Expandable>

***

## godaddy\_record\_add

Add the specified DNS Records to the specified Domain

**Parameters:**

| Parameter      | Type   | Required | Default | Description                                                                                                                                                                                                                                         |
| -------------- | ------ | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `X-Shopper-Id` | string | No       | —       | Shopper ID which owns the domain. NOTE: This is only required if you are a Reseller managing a domain purchased outside the scope of your reseller account. For instance, if you're a Reseller, but purchased a Domain via `http://www.godaddy.com` |
| `domain`       | string | Yes      | —       | Domain whose DNS Records are to be augmented                                                                                                                                                                                                        |
| `body`         | any\[] | Yes      | —       | DNS Records to add to whatever currently exists                                                                                                                                                                                                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "X-Shopper-Id": {
        "type": "string",
        "description": "Shopper ID which owns the domain. NOTE: This is only required if you are a Reseller managing a domain purchased outside the scope of your reseller account. For instance, if you're a Reseller, but purchased a Domain via http://www.godaddy.com"
      },
      "domain": {
        "type": "string",
        "description": "Domain whose DNS Records are to be augmented"
      },
      "body": {
        "type": "array",
        "description": "DNS Records to add to whatever currently exists"
      }
    },
    "required": [
      "PCID",
      "domain",
      "body"
    ]
  }
  ```
</Expandable>

***

## godaddy\_record\_delete\_type\_name

Delete all DNS Records for the specified Domain with the specified Type and Name

**Parameters:**

| Parameter      | Type   | Required | Default | Description                                                                                                                                                                                                                                         |
| -------------- | ------ | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `X-Shopper-Id` | string | No       | —       | Shopper ID which owns the domain. NOTE: This is only required if you are a Reseller managing a domain purchased outside the scope of your reseller account. For instance, if you're a Reseller, but purchased a Domain via `http://www.godaddy.com` |
| `domain`       | string | Yes      | —       | Domain whose DNS Records are to be deleted                                                                                                                                                                                                          |
| `type`         | string | Yes      | —       | DNS Record Type for which DNS Records are to be deleted                                                                                                                                                                                             |
| `name`         | string | Yes      | —       | DNS Record Name for which DNS Records are to be deleted                                                                                                                                                                                             |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "X-Shopper-Id": {
        "type": "string",
        "description": "Shopper ID which owns the domain. NOTE: This is only required if you are a Reseller managing a domain purchased outside the scope of your reseller account. For instance, if you're a Reseller, but purchased a Domain via http://www.godaddy.com"
      },
      "domain": {
        "type": "string",
        "description": "Domain whose DNS Records are to be deleted"
      },
      "type": {
        "type": "string",
        "description": "DNS Record Type for which DNS Records are to be deleted",
        "enum": [
          "A",
          "AAAA",
          "CNAME",
          "MX",
          "SRV",
          "TXT"
        ]
      },
      "name": {
        "type": "string",
        "description": "DNS Record Name for which DNS Records are to be deleted"
      }
    },
    "required": [
      "PCID",
      "domain",
      "type",
      "name"
    ]
  }
  ```
</Expandable>

***

## godaddy\_record\_get

Retrieve DNS Records for the specified Domain, optionally with the specified Type and/or Name

**Parameters:**

| Parameter      | Type    | Required | Default | Description                                                                                                                                                                                                                                         |
| -------------- | ------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `X-Shopper-Id` | string  | No       | —       | Shopper ID which owns the domain. NOTE: This is only required if you are a Reseller managing a domain purchased outside the scope of your reseller account. For instance, if you're a Reseller, but purchased a Domain via `http://www.godaddy.com` |
| `domain`       | string  | Yes      | —       | Domain whose DNS Records are to be retrieved                                                                                                                                                                                                        |
| `type`         | string  | Yes      | —       | DNS Record Type for which DNS Records are to be retrieved                                                                                                                                                                                           |
| `name`         | string  | Yes      | —       | DNS Record Name for which DNS Records are to be retrieved                                                                                                                                                                                           |
| `offset`       | integer | No       | —       | Number of results to skip for pagination                                                                                                                                                                                                            |
| `limit`        | integer | No       | —       | Maximum number of items to return                                                                                                                                                                                                                   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "X-Shopper-Id": {
        "type": "string",
        "description": "Shopper ID which owns the domain. NOTE: This is only required if you are a Reseller managing a domain purchased outside the scope of your reseller account. For instance, if you're a Reseller, but purchased a Domain via http://www.godaddy.com"
      },
      "domain": {
        "type": "string",
        "description": "Domain whose DNS Records are to be retrieved"
      },
      "type": {
        "type": "string",
        "description": "DNS Record Type for which DNS Records are to be retrieved",
        "enum": [
          "A",
          "AAAA",
          "CNAME",
          "MX",
          "NS",
          "SOA",
          "SRV",
          "TXT"
        ]
      },
      "name": {
        "type": "string",
        "description": "DNS Record Name for which DNS Records are to be retrieved"
      },
      "offset": {
        "type": "integer",
        "description": "Number of results to skip for pagination"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of items to return"
      }
    },
    "required": [
      "PCID",
      "domain",
      "type",
      "name"
    ]
  }
  ```
</Expandable>

***

## godaddy\_record\_replace

Replace all DNS Records for the specified Domain

**Parameters:**

| Parameter      | Type   | Required | Default | Description                                                                                                                                                                                                                                         |
| -------------- | ------ | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `X-Shopper-Id` | string | No       | —       | Shopper ID which owns the domain. NOTE: This is only required if you are a Reseller managing a domain purchased outside the scope of your reseller account. For instance, if you're a Reseller, but purchased a Domain via `http://www.godaddy.com` |
| `domain`       | string | Yes      | —       | Domain whose DNS Records are to be replaced                                                                                                                                                                                                         |
| `body`         | any\[] | Yes      | —       | DNS Records to replace whatever currently exists                                                                                                                                                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "X-Shopper-Id": {
        "type": "string",
        "description": "Shopper ID which owns the domain. NOTE: This is only required if you are a Reseller managing a domain purchased outside the scope of your reseller account. For instance, if you're a Reseller, but purchased a Domain via http://www.godaddy.com"
      },
      "domain": {
        "type": "string",
        "description": "Domain whose DNS Records are to be replaced"
      },
      "body": {
        "type": "array",
        "description": "DNS Records to replace whatever currently exists"
      }
    },
    "required": [
      "PCID",
      "domain",
      "body"
    ]
  }
  ```
</Expandable>

***

## godaddy\_record\_replace\_type

Replace all DNS Records for the specified Domain with the specified Type

**Parameters:**

| Parameter      | Type   | Required | Default | Description                                                                                                                                                                                                                                         |
| -------------- | ------ | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `X-Shopper-Id` | string | No       | —       | Shopper ID which owns the domain. NOTE: This is only required if you are a Reseller managing a domain purchased outside the scope of your reseller account. For instance, if you're a Reseller, but purchased a Domain via `http://www.godaddy.com` |
| `domain`       | string | Yes      | —       | Domain whose DNS Records are to be replaced                                                                                                                                                                                                         |
| `type`         | string | Yes      | —       | DNS Record Type for which DNS Records are to be replaced                                                                                                                                                                                            |
| `body`         | any\[] | Yes      | —       | DNS Records to replace whatever currently exists                                                                                                                                                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "X-Shopper-Id": {
        "type": "string",
        "description": "Shopper ID which owns the domain. NOTE: This is only required if you are a Reseller managing a domain purchased outside the scope of your reseller account. For instance, if you're a Reseller, but purchased a Domain via http://www.godaddy.com"
      },
      "domain": {
        "type": "string",
        "description": "Domain whose DNS Records are to be replaced"
      },
      "type": {
        "type": "string",
        "description": "DNS Record Type for which DNS Records are to be replaced",
        "enum": [
          "A",
          "AAAA",
          "CNAME",
          "MX",
          "NS",
          "SOA",
          "SRV",
          "TXT"
        ]
      },
      "body": {
        "type": "array",
        "description": "DNS Records to replace whatever currently exists"
      }
    },
    "required": [
      "PCID",
      "domain",
      "type",
      "body"
    ]
  }
  ```
</Expandable>

***

## godaddy\_record\_replace\_type\_name

Replace all DNS Records for the specified Domain with the specified Type and Name

**Parameters:**

| Parameter      | Type   | Required | Default | Description                                                                                                                                                                                                                                         |
| -------------- | ------ | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `X-Shopper-Id` | string | No       | —       | Shopper ID which owns the domain. NOTE: This is only required if you are a Reseller managing a domain purchased outside the scope of your reseller account. For instance, if you're a Reseller, but purchased a Domain via `http://www.godaddy.com` |
| `domain`       | string | Yes      | —       | Domain whose DNS Records are to be replaced                                                                                                                                                                                                         |
| `type`         | string | Yes      | —       | DNS Record Type for which DNS Records are to be replaced                                                                                                                                                                                            |
| `name`         | string | Yes      | —       | DNS Record Name for which DNS Records are to be replaced                                                                                                                                                                                            |
| `body`         | any\[] | Yes      | —       | DNS Records to replace whatever currently exists                                                                                                                                                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "X-Shopper-Id": {
        "type": "string",
        "description": "Shopper ID which owns the domain. NOTE: This is only required if you are a Reseller managing a domain purchased outside the scope of your reseller account. For instance, if you're a Reseller, but purchased a Domain via http://www.godaddy.com"
      },
      "domain": {
        "type": "string",
        "description": "Domain whose DNS Records are to be replaced"
      },
      "type": {
        "type": "string",
        "description": "DNS Record Type for which DNS Records are to be replaced",
        "enum": [
          "A",
          "AAAA",
          "CNAME",
          "MX",
          "NS",
          "SOA",
          "SRV",
          "TXT"
        ]
      },
      "name": {
        "type": "string",
        "description": "DNS Record Name for which DNS Records are to be replaced"
      },
      "body": {
        "type": "array",
        "description": "DNS Records to replace whatever currently exists"
      }
    },
    "required": [
      "PCID",
      "domain",
      "type",
      "name",
      "body"
    ]
  }
  ```
</Expandable>

***

## godaddy\_renew

Renew the specified Domain

**Parameters:**

| Parameter      | Type   | Required | Default | Description                                                                                                                                                                                                                                                 |
| -------------- | ------ | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `X-Shopper-Id` | string | No       | —       | Shopper for whom Domain is to be renewed. NOTE: This is only required if you are a Reseller managing a domain purchased outside the scope of your reseller account. For instance, if you're a Reseller, but purchased a Domain via `http://www.godaddy.com` |
| `domain`       | string | Yes      | —       | Domain to renew                                                                                                                                                                                                                                             |
| `body`         | object | No       | —       | Options for renewing existing Domain                                                                                                                                                                                                                        |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "X-Shopper-Id": {
        "type": "string",
        "description": "Shopper for whom Domain is to be renewed. NOTE: This is only required if you are a Reseller managing a domain purchased outside the scope of your reseller account. For instance, if you're a Reseller, but purchased a Domain via http://www.godaddy.com"
      },
      "domain": {
        "type": "string",
        "description": "Domain to renew"
      },
      "body": {
        "description": "Options for renewing existing Domain"
      }
    },
    "required": [
      "PCID",
      "domain"
    ]
  }
  ```
</Expandable>

***

## godaddy\_schema

Retrieve the schema to be submitted when registering a Domain for the specified TLD

**Parameters:**

| Parameter | Type   | Required | Default | Description                                           |
| --------- | ------ | -------- | ------- | ----------------------------------------------------- |
| `tld`     | string | Yes      | —       | The Top-Level Domain whose schema should be retrieved |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "tld": {
        "type": "string",
        "description": "The Top-Level Domain whose schema should be retrieved"
      }
    },
    "required": [
      "PCID",
      "tld"
    ]
  }
  ```
</Expandable>

***

## godaddy\_suggest

Suggest alternate Domain names based on a seed Domain, a set of keywords, or the shopper's purchase history

**Parameters:**

| Parameter      | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                  |
| -------------- | --------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `X-Shopper-Id` | string    | No       | —       | Shopper ID for which the suggestions are being generated                                                                                                                                                                                                                                                                                                     |
| `query`        | string    | No       | —       | Domain name or set of keywords for which alternative domain names will be suggested                                                                                                                                                                                                                                                                          |
| `country`      | string    | No       | —       | Two-letter ISO country code to be used as a hint for target region\<br/>\<br/> NOTE: These are sample values, there are many \<a href="`http://www.iso.org/iso/country_codes.htm`">more\</a>                                                                                                                                                                 |
| `city`         | string    | No       | —       | Name of city to be used as a hint for target region                                                                                                                                                                                                                                                                                                          |
| `sources`      | string\[] | No       | —       | Sources to be queried\<br/>\<br/>\<ul> \<li>\<strong>CC\_TLD\</strong> - Varies the TLD using Country Codes\</li> \<li>\<strong>EXTENSION\</strong> - Varies the TLD\</li> \<li>\<strong>KEYWORD\_SPIN\</strong> - Identifies keywords and then rotates each one\</li> \<li>\<strong>PREMIUM\</strong> - Includes variations with premium prices\</li>\</ul> |
| `tlds`         | string\[] | No       | —       | Top-level domains to be included in suggestions\<br/>\<br/> NOTE: These are sample values, there are many \<a href="`http://www.godaddy.com/tlds/gtld.aspx#domain_search_form`">more\</a>                                                                                                                                                                    |
| `lengthMax`    | integer   | No       | —       | Maximum length of second-level domain                                                                                                                                                                                                                                                                                                                        |
| `lengthMin`    | integer   | No       | —       | Minimum length of second-level domain                                                                                                                                                                                                                                                                                                                        |
| `limit`        | integer   | No       | —       | Maximum number of suggestions to return                                                                                                                                                                                                                                                                                                                      |
| `waitMs`       | integer   | No       | —       | Maximum amount of time, in milliseconds, to wait for responses If elapses, return the results compiled up to that point                                                                                                                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "X-Shopper-Id": {
        "type": "string",
        "description": "Shopper ID for which the suggestions are being generated"
      },
      "query": {
        "type": "string",
        "description": "Domain name or set of keywords for which alternative domain names will be suggested"
      },
      "country": {
        "type": "string",
        "description": "Two-letter ISO country code to be used as a hint for target region<br/><br/> NOTE: These are sample values, there are many <a href=\"http://www.iso.org/iso/country_codes.htm\">more</a>",
        "enum": [
          "AC",
          "AD",
          "AE",
          "AF",
          "AG",
          "AI",
          "AL",
          "AM",
          "AO",
          "AQ",
          "AR",
          "AS",
          "AT",
          "AU",
          "AW",
          "AX",
          "AZ",
          "BA",
          "BB",
          "BD",
          "BE",
          "BF",
          "BG",
          "BH",
          "BI",
          "BJ",
          "BM",
          "BN",
          "BO",
          "BQ",
          "BR",
          "BS",
          "BT",
          "BV",
          "BW",
          "BY",
          "BZ",
          "CA",
          "CC",
          "CD",
          "CF",
          "CG",
          "CH",
          "CI",
          "CK",
          "CL",
          "CM",
          "CN",
          "CO",
          "CR",
          "CV",
          "CW",
          "CX",
          "CY",
          "CZ",
          "DE",
          "DJ",
          "DK",
          "DM",
          "DO",
          "DZ",
          "EC",
          "EE",
          "EG",
          "EH",
          "ER",
          "ES",
          "ET",
          "FI",
          "FJ",
          "FK",
          "FM",
          "FO",
          "FR",
          "GA",
          "GB",
          "GD",
          "GE",
          "GF",
          "GG",
          "GH",
          "GI",
          "GL",
          "GM",
          "GN",
          "GP",
          "GQ",
          "GR",
          "GS",
          "GT",
          "GU",
          "GW",
          "GY",
          "HK",
          "HM",
          "HN",
          "HR",
          "HT",
          "HU",
          "ID",
          "IE",
          "IL",
          "IM",
          "IN",
          "IO",
          "IQ",
          "IS",
          "IT",
          "JE",
          "JM",
          "JO",
          "JP",
          "KE",
          "KG",
          "KH",
          "KI",
          "KM",
          "KN",
          "KR",
          "KV",
          "KW",
          "KY",
          "KZ",
          "LA",
          "LB",
          "LC",
          "LI",
          "LK",
          "LR",
          "LS",
          "LT",
          "LU",
          "LV",
          "LY",
          "MA",
          "MC",
          "MD",
          "ME",
          "MG",
          "MH",
          "MK",
          "ML",
          "MM",
          "MN",
          "MO",
          "MP",
          "MQ",
          "MR",
          "MS",
          "MT",
          "MU",
          "MV",
          "MW",
          "MX",
          "MY",
          "MZ",
          "NA",
          "NC",
          "NE",
          "NF",
          "NG",
          "NI",
          "NL",
          "NO",
          "NP",
          "NR",
          "NU",
          "NZ",
          "OM",
          "PA",
          "PE",
          "PF",
          "PG",
          "PH",
          "PK",
          "PL",
          "PM",
          "PN",
          "PR",
          "PS",
          "PT",
          "PW",
          "PY",
          "QA",
          "RE",
          "RO",
          "RS",
          "RU",
          "RW",
          "SA",
          "SB",
          "SC",
          "SE",
          "SG",
          "SH",
          "SI",
          "SJ",
          "SK",
          "SL",
          "SM",
          "SN",
          "SO",
          "SR",
          "ST",
          "SV",
          "SX",
          "SZ",
          "TC",
          "TD",
          "TF",
          "TG",
          "TH",
          "TJ",
          "TK",
          "TL",
          "TM",
          "TN",
          "TO",
          "TP",
          "TR",
          "TT",
          "TV",
          "TW",
          "TZ",
          "UA",
          "UG",
          "UM",
          "US",
          "UY",
          "UZ",
          "VA",
          "VC",
          "VE",
          "VG",
          "VI",
          "VN",
          "VU",
          "WF",
          "WS",
          "YE",
          "YT",
          "ZA",
          "ZM",
          "ZW"
        ]
      },
      "city": {
        "type": "string",
        "description": "Name of city to be used as a hint for target region"
      },
      "sources": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "CC_TLD",
            "EXTENSION",
            "KEYWORD_SPIN",
            "PREMIUM",
            "cctld",
            "extension",
            "keywordspin",
            "premium"
          ]
        },
        "description": "Sources to be queried<br/><br/><ul> <li><strong>CC_TLD</strong> - Varies the TLD using Country Codes</li> <li><strong>EXTENSION</strong> - Varies the TLD</li> <li><strong>KEYWORD_SPIN</strong> - Identifies keywords and then rotates each one</li> <li><strong>PREMIUM</strong> - Includes variations with premium prices</li></ul>"
      },
      "tlds": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Top-level domains to be included in suggestions<br/><br/> NOTE: These are sample values, there are many <a href=\"http://www.godaddy.com/tlds/gtld.aspx#domain_search_form\">more</a>"
      },
      "lengthMax": {
        "type": "integer",
        "description": "Maximum length of second-level domain"
      },
      "lengthMin": {
        "type": "integer",
        "description": "Minimum length of second-level domain"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of suggestions to return"
      },
      "waitMs": {
        "type": "integer",
        "description": "Maximum amount of time, in milliseconds, to wait for responses If elapses, return the results compiled up to that point"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## godaddy\_tlds

Retrieves a list of TLDs supported and enabled for sale

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## godaddy\_transfer\_in

Purchase and start or restart transfer process

**Parameters:**

| Parameter      | Type   | Required | Default | Description                                         |
| -------------- | ------ | -------- | ------- | --------------------------------------------------- |
| `X-Shopper-Id` | string | No       | —       | The Shopper to whom the domain should be transfered |
| `domain`       | string | Yes      | —       | Domain to transfer in                               |
| `body`         | object | Yes      | —       | Details for domain transfer purchase                |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "X-Shopper-Id": {
        "type": "string",
        "description": "The Shopper to whom the domain should be transfered"
      },
      "domain": {
        "type": "string",
        "description": "Domain to transfer in"
      },
      "body": {
        "description": "Details for domain transfer purchase"
      }
    },
    "required": [
      "PCID",
      "domain",
      "body"
    ]
  }
  ```
</Expandable>

***

## godaddy\_update

Update details for the specified Domain

**Parameters:**

| Parameter      | Type   | Required | Default | Description                                                                                                                                                                                                                                                 |
| -------------- | ------ | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `domain`       | string | Yes      | —       | Domain whose details are to be updated                                                                                                                                                                                                                      |
| `X-Shopper-Id` | string | No       | —       | Shopper for whom Domain is to be updated. NOTE: This is only required if you are a Reseller managing a domain purchased outside the scope of your reseller account. For instance, if you're a Reseller, but purchased a Domain via `http://www.godaddy.com` |
| `body`         | object | Yes      | —       | Changes to apply to existing Domain                                                                                                                                                                                                                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "domain": {
        "type": "string",
        "description": "Domain whose details are to be updated"
      },
      "X-Shopper-Id": {
        "type": "string",
        "description": "Shopper for whom Domain is to be updated. NOTE: This is only required if you are a Reseller managing a domain purchased outside the scope of your reseller account. For instance, if you're a Reseller, but purchased a Domain via http://www.godaddy.com"
      },
      "body": {
        "description": "Changes to apply to existing Domain"
      }
    },
    "required": [
      "PCID",
      "domain",
      "body"
    ]
  }
  ```
</Expandable>

***

## godaddy\_update\_contacts

Update domain

**Parameters:**

| Parameter      | Type   | Required | Default | Description                                                                                                                                                                                                                                                           |
| -------------- | ------ | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `X-Shopper-Id` | string | No       | —       | Shopper for whom domain contacts are to be updated. NOTE: This is only required if you are a Reseller managing a domain purchased outside the scope of your reseller account. For instance, if you're a Reseller, but purchased a Domain via `http://www.godaddy.com` |
| `domain`       | string | Yes      | —       | Domain whose Contacts are to be updated.                                                                                                                                                                                                                              |
| `body`         | object | Yes      | —       | Changes to apply to existing Contacts                                                                                                                                                                                                                                 |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "X-Shopper-Id": {
        "type": "string",
        "description": "Shopper for whom domain contacts are to be updated. NOTE: This is only required if you are a Reseller managing a domain purchased outside the scope of your reseller account. For instance, if you're a Reseller, but purchased a Domain via http://www.godaddy.com"
      },
      "domain": {
        "type": "string",
        "description": "Domain whose Contacts are to be updated."
      },
      "body": {
        "description": "Changes to apply to existing Contacts"
      }
    },
    "required": [
      "PCID",
      "domain",
      "body"
    ]
  }
  ```
</Expandable>

***

## godaddy\_validate

Validate the request body using the Domain Purchase Schema for the specified TLD

**Parameters:**

| Parameter | Type   | Required | Default | Description                                                                                   |
| --------- | ------ | -------- | ------- | --------------------------------------------------------------------------------------------- |
| `body`    | object | Yes      | —       | An instance document expected to match the JSON schema returned by `./schema/&#123;tld&#125;` |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "body": {
        "description": "An instance document expected to match the JSON schema returned by `./schema/{tld}`"
      }
    },
    "required": [
      "PCID",
      "body"
    ]
  }
  ```
</Expandable>

***

## godaddy\_verify\_email

Re-send Contact E-mail Verification for specified Domain

**Parameters:**

| Parameter      | Type   | Required | Default | Description                                                                                                                                                                                                                                                                  |
| -------------- | ------ | -------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `X-Shopper-Id` | string | No       | —       | Shopper for whom domain contact e-mail should be verified. NOTE: This is only required if you are a Reseller managing a domain purchased outside the scope of your reseller account. For instance, if you're a Reseller, but purchased a Domain via `http://www.godaddy.com` |
| `domain`       | string | Yes      | —       | Domain whose Contact E-mail should be verified.                                                                                                                                                                                                                              |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "X-Shopper-Id": {
        "type": "string",
        "description": "Shopper for whom domain contact e-mail should be verified. NOTE: This is only required if you are a Reseller managing a domain purchased outside the scope of your reseller account. For instance, if you're a Reseller, but purchased a Domain via http://www.godaddy.com"
      },
      "domain": {
        "type": "string",
        "description": "Domain whose Contact E-mail should be verified."
      }
    },
    "required": [
      "PCID",
      "domain"
    ]
  }
  ```
</Expandable>
